%define pkg_name        Mail-Verp
%define pkg_version     0.06
%define rpm_pkg_version 0.06
%define rpm_pkg_release 1.n0i.4

Summary:       Encodes and decodes Variable Envelope Return Paths (VERP) addresses
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/G/GY/GYEPI/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
Mail::Verp encodes the address of an email recipient into the envelope
sender address so that a bounce can be more easily handled even if the
original recipient is forwarding their mail to another address and the
remote Mail Transport Agents send back unhelpful bounce messages. The
module must also be used to decode bounce recipient addresses.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes doc/ README


%changelog
* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 0.06-1.n0i.4
- version 0.06

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.05-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Wed Aug 31 2005 Marius Feraru <altblue@n0i.net> 0.05-1.n0i.2
- version 0.05

* Thu Aug 04 2005 Marius Feraru <altblue@n0i.net> 0.04-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
